Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class PlaceNameService

    java.lang.Object
      gov.nasa.worldwind.PlaceNameService

    public class PlaceNameService

extends Object

Constructor Summary
`PlaceNameService(String service, String dataset, String fileCachePath, Sector sector, LatLon tileDelta, Font font)`

Method Summary
`String` | `createFileCachePathFromTile(int row, int column)`
`URL` | `createServiceURLFromSector(Sector sector)`
`PlaceNameService` | `deepCopy()`
`boolean` | `equals(Object o)`
`Color` | `getColor()`
`String` | `getDataset()`
`Extent` | `getExtent(DrawContext dc)`
`String` | `getFileCachePath()`
`Font` | `getFont()`
`double` | `getMaxDisplayDistance()`
`double` | `getMinDisplayDistance()`
`Sector` | `getSector()`
`String` | `getService()`
`LatLon` | `getTileDelta()`
`long` | `getTileNumber(int row, int column)`
`int` | `hashCode()`
`boolean` | `isEnabled()`
`boolean` | `isResourceAbsent(long resourceNumber)`
`void` | `markResourceAbsent(long tileNumber)`
`void` | `setColor(Color color)`
`void` | `setEnabled(boolean enabled)`
`void` | `setMaxDisplayDistance(double maxDisplayDistance)`
`void` | `setMinDisplayDistance(double minDisplayDistance)`
`void` | `unmarkResourceAbsent(long tileNumber)`
`String` | `validate()` Determines if this `PlaceNameService'` constructor arguments are valid.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceNameService

    public PlaceNameService(String service,
                            String dataset,
                            String fileCachePath,
                            Sector sector,
                            LatLon tileDelta,
                            Font font)

Parameters:
  `service` -
  `dataset` -
  `fileCachePath` -
  `sector` -
  `tileDelta` -
  `font` -
Throws:
  `IllegalArgumentException` - if any parameter is null

Method Detail

### createFileCachePathFromTile

    public String createFileCachePathFromTile(int row,
                                              int column)

  Parameters:
    `row` -
    `column` -
  Returns:
  Throws:
    `IllegalArgumentException` - if either `row` or `column` is less than zero

### createServiceURLFromSector

    public URL createServiceURLFromSector(Sector sector)
                                   throws MalformedURLException

  Parameters:
    `sector` -
  Returns:
  Throws:
    `MalformedURLException`
    `IllegalArgumentException` - if `sector` is null

### deepCopy

    public final PlaceNameService deepCopy()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getColor

    public final Color getColor()

### getDataset

    public final String getDataset()

### getExtent

    public final Extent getExtent(DrawContext dc)

  Parameters:
    `dc` -
  Returns:
  Throws:
    `IllegalArgumentException` - if `dc` is null

### getFileCachePath

    public final String getFileCachePath()

### getFont

    public final Font getFont()

### getMaxDisplayDistance

    public final double getMaxDisplayDistance()

### getMinDisplayDistance

    public final double getMinDisplayDistance()

### getSector

    public final Sector getSector()

### getService

    public final String getService()

### getTileDelta

    public final LatLon getTileDelta()

### getTileNumber

    public long getTileNumber(int row,
                              int column)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isEnabled

    public final boolean isEnabled()

### isResourceAbsent

    public final boolean isResourceAbsent(long resourceNumber)

### markResourceAbsent

    public final void markResourceAbsent(long tileNumber)

### setColor

    public final void setColor(Color color)

  Parameters:
    `color` -
  Throws:
    `IllegalArgumentException` - if `color` is null

### setEnabled

    public final void setEnabled(boolean enabled)

### setMaxDisplayDistance

    public final void setMaxDisplayDistance(double maxDisplayDistance)

  Parameters:
    `maxDisplayDistance` -
  Throws:
    `IllegalArgumentException` - if `maxDisplayDistance` is less than the current minimum display distance

### setMinDisplayDistance

    public final void setMinDisplayDistance(double minDisplayDistance)

  Parameters:
    `minDisplayDistance` -
  Throws:
    `IllegalArgumentException` - if `minDisplayDistance` is less than the current maximum display distance

### unmarkResourceAbsent

    public final void unmarkResourceAbsent(long tileNumber)

### validate

    public final String validate()

  Determines if this `PlaceNameService'` constructor arguments are valid.

  Returns:
    null if valid, otherwise a `String` containing a description of why it is invalid.

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD